View Issue Details

This bug affects 1 person(s).
 254
IDProjectCategoryView StatusLast Update
07897Feature requestsSecuritypublic2021-11-25 13:05
Reporteractxcellence Assigned Togalads  
PrioritynormalSeverityfeature 
Status closedResolutionwon't fix 
Summary07897: can not delete admin user
DescriptionI had to react to the massiv brute force attacks against WordPress admin accounts.

see
http://codex.wordpress.org/Brute_Force_Attacks

and the recent explosion of attacks:
http://blog.sucuri.net/2013/04/the-wordpress-brute-force-attack-timeline.html

My WordPress customers are not allowed to use the name admin for user accounts anymore.

I want to delete the admin user.
Can I do this in the database?

The UI should allow this for the average super admin with out DB knowhow.

TagsNo tags attached.
Bug heat254

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2013-05-31 17:59

developer   ~25440

Hello.

"Plugins can be used to limit the number of login attempts made on your site, or block people from accessing wp-admin: " Not needed in LS : core included.

And you can change the username for admin in the DB.
galads

galads

2021-11-02 11:21

administrator   ~67051

Last edited: 2021-11-25 10:31

Of course it is possible to change the username from the DB, but should be easy to change from the UI for Basic users.
galads

galads

2021-11-25 12:44

administrator   ~67571

Dear actxcellence ,

Thank you for suggesting a feature/reporting a bug.

However, we will not be picking this up because the use case is too specific or the use case might not fit to the latest versions of LimeSurvey.

There are plugins already implemented to prevent brute-force attacks. 2FA and there is a plugin to limit the login attempts.

If you feel otherwise, feel free to re-open the report.

kind regards,
galads

Issue History

Date Modified Username Field Change
2013-05-31 14:23 actxcellence New Issue
2013-05-31 17:59 DenisChenu Note Added: 25440
2021-11-02 11:21 galads Note Added: 67051
2021-11-02 11:21 galads Bug heat 252 => 254
2021-11-02 11:21 galads Assigned To => galads
2021-11-02 11:21 galads Status new => confirmed
2021-11-25 10:31 galads Severity @50@ => feature
2021-11-25 12:44 galads Note Added: 67571
2021-11-25 12:45 galads Status confirmed => closed
2021-11-25 12:45 galads Resolution open => fixed
2021-11-25 13:05 galads Resolution fixed => won't fix